﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Grid;
using Syncfusion.UI.Xaml.Grid.Helpers;
using Syncfusion.UI.Xaml.ScrollAxis;

namespace SfDataGridDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.sfGrid.SelectionController = new GridSelectionControllerExt(this.sfGrid);
        }

        internal class GridSelectionControllerExt : GridSelectionController
        {
            public GridSelectionControllerExt(SfDataGrid datagrid) : base(datagrid)
            {

            }
            protected override void ProcessPointerPressed(MouseButtonEventArgs args, RowColumnIndex rowColumnIndex)
            {              
                if(SelectionHelper.CheckShiftKeyPressed())
                    base.ProcessPointerPressed(args, rowColumnIndex);
                else
                    args.Handled = true;
            }
        }
    }
}
